
Name: strigi
Version: 0.5.10
Release: alt0.M41.1

Summary: The fastest and smallest desktop searching program
License: LGPL2+
Group: File tools
Url: http://strigi.sourceforge.net/

Packager: Andrey Rahmatullin <wrar@altlinux.ru>

Requires: lib%name = %version-%release

Source0: %name-%version.tar.bz2
Source1: %name.watch

BuildPreReq: cmake bzlib-devel gcc-c++ libclucene-devel libexiv2-devel 
BuildPreReq: libexpat-devel libqt4-devel libxml2-devel 

%description 
Strigi is a daemon which uses a very fast and efficient crawler that can
index data on your harddrive. Indexing operations are performed without
hammering your system, this makes Strigi the fastest and smallest
desktop searching program.


%package -n lib%name
Summary: %name shared library
Group: System/Libraries

%description -n lib%name
Strigi is a daemon which uses a very fast and efficient crawler that can
index data on your harddrive. Indexing operations are performed without
hammering your system, this makes Strigi the fastest and smallest
desktop searching program.

This package contains %name shared library.


%package -n lib%name-devel
Summary: %name development library and headers
Group: Development/C++
Requires: lib%name = %version

%description -n lib%name-devel
Strigi is a daemon which uses a very fast and efficient crawler that can
index data on your harddrive. Indexing operations are performed without
hammering your system, this makes Strigi the fastest and smallest
desktop searching program.

This package contains %name development library and headers.


%prep
%setup
mkdir build
cd build
cmake ../ \
	-DCMAKE_INSTALL_PREFIX=%_prefix \
%ifarch x86_64
        -DLIB_SUFFIX=64 \
%endif		
	-DCMAKE_SKIP_RPATH=YES \
	-DCMAKE_CXX_FLAGS:STRING="%optflags" \
	-DCMAKE_BUILD_TYPE="Release" \
	-DENABLE_INOTIFY:BOOL=ON \
	-DENABLE_DBUS:BOOL=ON

%build
cd build
%make_build VERBOSE=1

%install
pushd build
%makeinstall DESTDIR=%buildroot
popd


%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig


%files
%_bindir/*
%_datadir/dbus-1/services/*
%_datadir/%name/
%dir %_libdir/%name/
%_libdir/%name/*.so
%doc AUTHORS ChangeLog README README.win32 TODO TODOMONDAY

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_includedir/%name/
%_pkgconfigdir/*.pc
%dir %_libdir/%name/
%_libdir/%name/*.cmake

%changelog
* Tue Sep 16 2008 Sergey V Turchin <zerg at altlinux dot org> 0.5.10-alt0.M41.1
- built for M41

* Mon Jun 02 2008 Sergey V Turchin <zerg at altlinux dot org> 0.5.10-alt1
- new version

* Tue May 27 2008 Sergey V Turchin <zerg at altlinux dot org> 0.5.9-alt1
- new version

* Sun Mar 30 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.5.7-alt4
- rebuild with new libexiv2

* Wed Feb 06 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.5.7-alt3
- package %_libdir/%name/ (#14347)

* Sat Jan 12 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.5.7-alt2
- use optflags
- add watch file

* Sat Jan 12 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.5.7-alt1
- initial build
